Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Root endpoint

Returns the authenticated user’s account information and an embedded list of their shops, each carrying HAL links to all available actions (products, orders, contacts, theme, etc.).

GET/
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Responses
200Authenticated root resource
uidinteger
emailstring
user_namestring
scopesstring
last_logged_onstring<date-time>
_linksobject
_embeddedobject
Show properties
shopsShopSummary[]
Show properties
Array of ShopSummary
idstring
namestring
subdomainstring
urlstring
descriptionstring
currency_codestring
localestring
created_onstring<date-time>
updated_onstring<date-time>
product_countsobject
Show properties
visibleinteger
hiddeninteger
_linksobject
Request
curl -X GET "https://api.onbolder.com/v1/" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "uid": 0,
  "email": "string",
  "user_name": "string",
  "scopes": "string",
  "last_logged_on": "2019-08-24T14:15:22Z",
  "_links": {},
  "_embedded": {
    "shops": [
      {
        "id": "string",
        "name": "string",
        "subdomain": "string",
        "url": "string",
        "description": "string",
        "currency_code": "string",
        "locale": "string",
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "product_counts": {
          "visible": 0,
          "hidden": 0
        },
        "_links": {}
      }
    ]
  }
}